Package com.sap.ai.sdk.core.model

# Class BckndServiceServiceCatalogItem

java.lang.Object
com.sap.ai.sdk.core.model.BckndServiceServiceCatalogItem

public class BckndServiceServiceCatalogItem extends Object
BckndServiceServiceCatalogItem

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndServiceServiceCatalogItem()`
  Default constructor for BckndServiceServiceCatalogItem.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndServiceServiceCatalogItem`
  `create()`
  Create a new `BckndServiceServiceCatalogItem` instance.
  `boolean`
  `equals(Object o)`
  `BckndServiceServiceCatalogItem`
  `extendCatalog(BckndServiceServiceCatalogItemExtendCatalog extendCatalog)`
  Set the extendCatalog of this `BckndServiceServiceCatalogItem` instance and return the same instance.
  `BckndServiceServiceCatalogItem`
  `extendCredentials(BckndServiceServiceCatalogItemExtendCredentials extendCredentials)`
  Set the extendCredentials of this `BckndServiceServiceCatalogItem` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndServiceServiceCatalogItem`.
  `BckndServiceServiceCatalogItemExtendCatalog`
  `getExtendCatalog()`
  Get extendCatalog
  `BckndServiceServiceCatalogItemExtendCredentials`
  `getExtendCredentials()`
  Get extendCredentials
  `int`
  `hashCode()`
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndServiceServiceCatalogItem` instance.
  `void`
  `setExtendCatalog(BckndServiceServiceCatalogItemExtendCatalog extendCatalog)`
  Set the extendCatalog of this `BckndServiceServiceCatalogItem` instance.
  `void`
  `setExtendCredentials(BckndServiceServiceCatalogItemExtendCredentials extendCredentials)`
  Set the extendCredentials of this `BckndServiceServiceCatalogItem` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndServiceServiceCatalogItem` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndServiceServiceCatalogItem

    protected BckndServiceServiceCatalogItem()
    Default constructor for BckndServiceServiceCatalogItem.

- ## Method Details

  - ### extendCatalog

    @Nonnull public BckndServiceServiceCatalogItem extendCatalog(@Nullable BckndServiceServiceCatalogItemExtendCatalog extendCatalog)
    Set the extendCatalog of this `BckndServiceServiceCatalogItem` instance and return the same instance.
    Parameters:
      `extendCatalog` - The extendCatalog of this `BckndServiceServiceCatalogItem`
    Returns:
      The same instance of this `BckndServiceServiceCatalogItem` class

  - ### getExtendCatalog

    @Nonnull public BckndServiceServiceCatalogItemExtendCatalog getExtendCatalog()
    Get extendCatalog
    Returns:
      extendCatalog The extendCatalog of this `BckndServiceServiceCatalogItem` instance.

  - ### setExtendCatalog

    public void setExtendCatalog(@Nullable BckndServiceServiceCatalogItemExtendCatalog extendCatalog)
    Set the extendCatalog of this `BckndServiceServiceCatalogItem` instance.
    Parameters:
      `extendCatalog` - The extendCatalog of this `BckndServiceServiceCatalogItem`

  - ### extendCredentials

    @Nonnull public BckndServiceServiceCatalogItem extendCredentials(@Nullable BckndServiceServiceCatalogItemExtendCredentials extendCredentials)
    Set the extendCredentials of this `BckndServiceServiceCatalogItem` instance and return the same instance.
    Parameters:
      `extendCredentials` - The extendCredentials of this `BckndServiceServiceCatalogItem`
    Returns:
      The same instance of this `BckndServiceServiceCatalogItem` class

  - ### getExtendCredentials

    @Nonnull public BckndServiceServiceCatalogItemExtendCredentials getExtendCredentials()
    Get extendCredentials
    Returns:
      extendCredentials The extendCredentials of this `BckndServiceServiceCatalogItem` instance.

  - ### setExtendCredentials

    public void setExtendCredentials(@Nullable BckndServiceServiceCatalogItemExtendCredentials extendCredentials)
    Set the extendCredentials of this `BckndServiceServiceCatalogItem` instance.
    Parameters:
      `extendCredentials` - The extendCredentials of this `BckndServiceServiceCatalogItem`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndServiceServiceCatalogItem`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndServiceServiceCatalogItem` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndServiceServiceCatalogItem` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndServiceServiceCatalogItem` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndServiceServiceCatalogItem create()
    Create a new `BckndServiceServiceCatalogItem` instance. No arguments are required.